Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/modules/signing/preimage.10.extract.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/signing/preimage.10.extract.sh')
-rw-r--r--modules/signing/preimage.10.extract.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/modules/signing/preimage.10.extract.sh b/modules/signing/preimage.10.extract.sh
index 489f8b4..01f3753 100644
--- a/modules/signing/preimage.10.extract.sh
+++ b/modules/signing/preimage.10.extract.sh
@@ -4,6 +4,8 @@
# this must be run before the base module creates versioned fs layout
. $OOB__shlib
+shopt -s nullglob
+
enabled=$(read_config signing extract)
[[ "$enabled" == "1" ]] || exit 0
@@ -17,10 +19,11 @@ echo "Extracting content for signing..."
copy_out_file() {
local name=$1
- local path="$fsmount"/boot/${1}.zip
- [ -f "$path"] || return
- cp $path $tgt
- found=1
+ for path in "$fsmount"/boot/${name}*.zip; do
+ [ -f "$path" ] || continue
+ cp $path $tgt
+ found=1
+ done
}
copy_out bootfw